#include <stdio.h>

char target[4096] = "";

int lenny(char *str)
{
int len;

    for (len = 0; *str++ != 0; len++);
    return len;
}

void cats(char *str1, char *str2)
{
    while(*str1 != 0)
        str1++;
    do {
        *str1++ = *str2;
    } while (*str2++ != 0);
}

/*  option 1 - uses lenny
int i;

    i = lenny(str1);

    do {
        str1[i++] = *str2;
    } while (*str2++ != 0);
*/

/*  option 2 - needs lenny code too
int i;

    i = lenny(str1);
     while (*str2 != 0) {
       str1[i++] = *str2++;
    }
    str1[i] = 0;
 */

void main(void)
{
    cats(target, "Fred ");
    printf("%u:%s\n", lenny(target), target);
    cats(target, "& Wilma");
    printf("%u:%s\n", lenny(target), target);

}
